## org.eclipse.emf.common.notify
Interface Notifier

All Known Subinterfaces:
  AnyType, ChangeDescription, ChangeFactory, ChangePackage, ComplexTypeConverter, EAnnotation, EAttribute, EClass, EClassifier, Ecore2EcoreFactory, Ecore2EcoreMappingRoot, Ecore2EcorePackage, Ecore2XMLFactory, Ecore2XMLPackage, Ecore2XMLResource, EcoreFactory, EcorePackage, EDataType, EEnum, EEnumLiteral, EFactory, EGenericType, EModelElement, ENamedElement, EObject, EOperation, EPackage, EParameter, EReference, EStructuralFeature, EStructuralFeature.Internal, ETypedElement, ETypeParameter, FeatureChange, FeatureMapEntry, FunctionNamePair, FunctionPair, GenAnnotation, GenBase, GenClass, GenClassifier, GenDataType, GenEnum, GenEnumLiteral, GenFeature, GenModel, GenModelFactory, GenModelPackage, GenOperation, GenPackage, GenParameter, GenTypedElement, GenTypeParameter, InternalEObject, ListChange, Mapping, MappingFactory, MappingHelper, MappingPackage, MappingRoot, MappingStrategy, ProcessingInstruction, Resource, Resource.Internal, ResourceChange, ResourceSet, SimpleAnyType, TreeFactory, TreeNode, TreePackage, TypeConverter, XMIResource, XMLInfo, XMLMap, XMLNamespaceDocumentRoot, XMLNamespaceFactory, XMLNamespacePackage, XMLResource, XMLTypeDocumentRoot, XMLTypeFactory, XMLTypePackage

All Known Implementing Classes:
  AdapterFactoryEditingDomain.AdapterFactoryEditingDomainResourceSet, AnyTypeImpl, BasicEObjectImpl, BasicFeatureMap.FeatureMapEObjectImpl, BasicNotifierImpl, BinaryResourceImpl, ChangeDescriptionImpl, ChangeFactoryImpl, ChangePackageImpl, ComplexTypeConverterImpl, DelegatingFeatureMap.FeatureMapEObjectImpl, DynamicEObjectImpl, DynamicEObjectImpl.BasicEMapEntry, DynamicEStoreEObjectImpl, EAnnotationImpl, EAttributeImpl, EClassifierImpl, EClassImpl, Ecore2EcoreFactoryImpl, Ecore2EcoreMappingRootImpl, Ecore2EcorePackageImpl, Ecore2EcoreResourceImpl, Ecore2XMLFactoryImpl, Ecore2XMLPackageImpl, Ecore2XMLResourceImpl, EcoreFactoryImpl, EcorePackageImpl, EDataTypeImpl, EEnumImpl, EEnumLiteralImpl, EFactoryImpl, EGenericTypeImpl, EModelElementImpl, EMOFResourceImpl, ENamedElementImpl, ENamedElementToXMLInfoMapEntryImpl, EObjectImpl, EObjectToChangesMapEntryImpl, EOperationImpl, EPackageImpl, EParameterImpl, EReferenceImpl, EStoreEObjectImpl, EStringToStringMapEntryImpl, EStructuralFeatureImpl, ETypedElementImpl, ETypeParameterImpl, FeatureChangeImpl, FeatureMapEntryImpl, FlatEObjectImpl, FunctionNamePairImpl, FunctionPairImpl, GenAnnotationImpl, GenBaseImpl, GenClassifierImpl, GenClassImpl, GenDataTypeImpl, GenEnumImpl, GenEnumLiteralImpl, GenericXMLResourceImpl, GenFeatureImpl, GenModelFactoryImpl, GenModelImpl, GenModelPackageImpl, GenOperationImpl, GenPackageImpl, GenParameterImpl, GenTypedElementImpl, GenTypeParameterImpl, ListChangeImpl, MappingFactoryImpl, MappingHelperImpl, MappingImpl, MappingPackageImpl, MappingRootImpl, MappingStrategyImpl, MinimalEObjectImpl, MinimalEObjectImpl.Container, MinimalEObjectImpl.Container.Dynamic, MinimalEObjectImpl.Container.Dynamic.BasicEMapEntry, NotifierImpl, ProcessingInstructionImpl, ResourceChangeImpl, ResourceImpl, ResourceSetImpl, SimpleAnyTypeImpl, TreeFactoryImpl, TreeNodeImpl, TreePackageImpl, TypeConverterImpl, XMIResourceImpl, XMLInfoImpl, XMLMapImpl, XMLNamespaceDocumentRootImpl, XMLNamespaceFactoryImpl, XMLNamespacePackageImpl, XMLResourceImpl, XMLTypeDocumentRootImpl, XMLTypeFactoryImpl, XMLTypePackageImpl, XMLTypeResourceImpl

    public interface Notifier

A source of notification delivery. Since all modeled objects will be notifiers, the method names start with "e" to distinguish the EMF methods from the client's methods.

Method Summary
`EList<Adapter>` `eAdapters()` Returns list of the adapters associated with this notifier.
`boolean` `eDeliver()` Returns whether this notifier will deliver notifications to the adapters.
`void` `eNotify(Notification notification)` Notifies a change to a feature of this notifier as described by the notification.
`void` `eSetDeliver(boolean deliver)` Sets whether this notifier will deliver notifications to the adapters.

Method Detail

### eAdapters

    EList<Adapter> eAdapters()

  Returns list of the adapters associated with this notifier.

  Returns:
    the adapters associated with this notifier.

### eDeliver

    boolean eDeliver()

  Returns whether this notifier will deliver notifications to the adapters.

  Returns:
    whether notifications will be delivered.
  See Also:
    `eSetDeliver(boolean)`

### eSetDeliver

    void eSetDeliver(boolean deliver)

  Sets whether this notifier will deliver notifications to the adapters.

  Parameters:
    `deliver` - whether or not to deliver.
  See Also:
    `eDeliver()`

### eNotify

    void eNotify(Notification notification)

  Notifies a change to a feature of this notifier as described by the notification. The notifications will generally be `delivered` to the `adapters` via `Adapter.notifyChanged`.

  Parameters:
    `notification` - a description of the change.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.